import React from "react";
import ButtonBase from "../ButtonBase";
import { ButtonProps } from "./ButtonProps";
type ButtonComponent = <E extends React.ElementType = typeof ButtonBase>(props: ButtonProps<E>) => React.ReactElement;
declare const _default: ButtonComponent;
export default _default;
